userSettings resource doesn't work properly

Bug #1624062 reported by Kamil Krampa on 2016-09-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DHIS
Medium
Morten Olav Hansen

Bug Description

Hi,
I'm trying to get keyUiLocale property for a particular user via API. I tried /api/userSettings/keyUiLocale?user=someUsername but it doesn't return proper results. I guess the problem is here: https://github.com/dhis2/dhis2-core/blob/master/dhis-2/dhis-web/dhis-web-api/src/main/java/org/hisp/dhis/webapi/controller/UserSettingController.java#L159, credentials.getUser() doesn't return a user with requested username but the owner of credentials object.

Is there some other way to fetch keyUiLocale of a particular user (I need to get keyUiLocale of any user not only current)?

Morten Olav Hansen (mortenoh) wrote :

You are right, this have now been fixed in 224 and master (give our server a bit of time to re-deploy)

Changed in dhis2:
assignee: nobody → Morten Olav Hansen (mortenoh)
milestone: none → 2.25
status: New → Fix Committed

Great, thanks! Is it possible to fix this also in 2.22?

W dniu 2016-09-16 05:43:34 użytkownik Morten Olav Hansen <email address hidden> napisał:
> You are right, this have now been fixed in 224 and master (give our
> server a bit of time to re-deploy)
>
> ** Changed in: dhis2
> Assignee: (unassigned) => Morten Olav Hansen (mortenoh)
>
> ** Changed in: dhis2
> Milestone: None => 2.25
>
> ** Changed in: dhis2
> Status: New => Fix Committed
>
> --
> You received this bug notification because you are a member of DHIS 2
> developers, which is subscribed to DHIS.
> https://bugs.launchpad.net/bugs/1624062
>
> Title:
> userSettings resource doesn't work properly
>
> Status in DHIS:
> Fix Committed
>
> Bug description:
> Hi,
> I'm trying to get keyUiLocale property for a particular user via API. I tried /api/userSettings/keyUiLocale?user=someUsername but it doesn't return proper results. I guess the problem is here: https://github.com/dhis2/dhis2-core/blob/master/dhis-2/dhis-web/dhis-web-api/src/main/java/org/hisp/dhis/webapi/controller/UserSettingController.java#L159, credentials.getUser() doesn't return a user with requested username but the owner of credentials object.
>
> Is there some other way to fetch keyUiLocale of a particular user (I
> need to get keyUiLocale of any user not only current)?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1624062/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~dhis2-devs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~dhis2-devs
> More help : https://help.launchpad.net/ListHelp
>

This have been backported to 222 and 223 now

--
Morten Olav Hansen
Senior Engineer, DHIS 2
University of Oslo
http://www.dhis2.org

On Fri, Sep 16, 2016 at 3:39 PM, Kamil Krampa <email address hidden> wrote:

> Great, thanks! Is it possible to fix this also in 2.22?
>
> W dniu 2016-09-16 05:43:34 użytkownik Morten Olav Hansen <
> <email address hidden>> napisał:
> > You are right, this have now been fixed in 224 and master (give our
> > server a bit of time to re-deploy)
> >
> > ** Changed in: dhis2
> > Assignee: (unassigned) => Morten Olav Hansen (mortenoh)
> >
> > ** Changed in: dhis2
> > Milestone: None => 2.25
> >
> > ** Changed in: dhis2
> > Status: New => Fix Committed
> >
> > --
> > You received this bug notification because you are a member of DHIS 2
> > developers, which is subscribed to DHIS.
> > https://bugs.launchpad.net/bugs/1624062
> >
> > Title:
> > userSettings resource doesn't work properly
> >
> > Status in DHIS:
> > Fix Committed
> >
> > Bug description:
> > Hi,
> > I'm trying to get keyUiLocale property for a particular user via API.
> I tried /api/userSettings/keyUiLocale?user=someUsername but it doesn't
> return proper results. I guess the problem is here:
> https://github.com/dhis2/dhis2-core/blob/master/dhis-2/
> dhis-web/dhis-web-api/src/main/java/org/hisp/dhis/webapi/controller/
> UserSettingController.java#L159, credentials.getUser() doesn't return a
> user with requested username but the owner of credentials object.
> >
> > Is there some other way to fetch keyUiLocale of a particular user (I
> > need to get keyUiLocale of any user not only current)?
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/dhis2/+bug/1624062/+subscriptions
> >
> > _______________________________________________
> > Mailing list: https://launchpad.net/~dhis2-devs
> > Post to : <email address hidden>
> > Unsubscribe : https://launchpad.net/~dhis2-devs
> > More help : https://help.launchpad.net/ListHelp
> >
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1624062
>
> Title:
> userSettings resource doesn't work properly
>
> Status in DHIS:
> Fix Committed
>
> Bug description:
> Hi,
> I'm trying to get keyUiLocale property for a particular user via API. I
> tried /api/userSettings/keyUiLocale?user=someUsername but it doesn't
> return proper results. I guess the problem is here:
> https://github.com/dhis2/dhis2-core/blob/master/dhis-2/
> dhis-web/dhis-web-api/src/main/java/org/hisp/dhis/webapi/controller/
> UserSettingController.java#L159, credentials.getUser() doesn't return a
> user with requested username but the owner of credentials object.
>
> Is there some other way to fetch keyUiLocale of a particular user (I
> need to get keyUiLocale of any user not only current)?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1624062/+subscriptions
>

Changed in dhis2:
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers